Updates to SIP-Based Media Recording (SIPREC) to Correct Metadata Media Type
RFC 9806
Dan Mongrain
Motorola Solutions
2025-06
ART
sipcore
siprec
errata
The SIP-based Media Recording (SIPREC) protocol is defined by both "Session Initiation Protocol (SIP) Recording Metadata" (RFC 7865) and "Session Recording Protocol" (RFC 7866). Unfortunately, both RFCs contradict each other regarding how recording metadata is to be labeled. In addition, neither RFC registered the new media type. This document updates RFC 7866 to align with RFC 7865 when labeling recording metadata and also registers the media type.
Status of This Memo
This is an Internet Standards Track document.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on Internet Standards is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9806.
Copyright Notice
Copyright (c) 2025 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. Updates to RFC 7866
- 3. Security Considerations
- 4. IANA Considerations
  - 4.1. Media Type Registration
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Acknowledgments
- Author's Address
Introduction
The SIP-based Media Recording (SIPREC) protocol is defined by [RFC7865] and [RFC7866]. The former specifies the use of "application/rs-metadata+xml" when identifying metadata content, whereas the latter uses "application/rs-metadata". Since [RFC7865] defines SIPREC metadata, it was identified as normative, and [Err7987] was created against [RFC7866] to report the issue. This document resolves the erratum.
In addition, neither document registered the media type with IANA; this document rectifies this gap.
Updates to RFC 7866
Each instance of the following in [RFC7866]:
application/rs-metadata
Is replaced with:
application/rs-metadata+xml
Security Considerations
The updates specified in this memo clarify inconsistencies in published documents with regard to identifying recording metadata. They do not introduce new security considerations beyond those listed in [RFC7866].
IANA Considerations
Media Type Registration
[RFC7865] defines a media type for use with specifying recording metadata in XML data. This media type is to be used when specifying recording metadata in SIPREC.
Type name:
application
Subtype name:
rs-metadata+xml
Required parameters:
N/A
Optional parameters:
N/A
Encoding considerations:
Same as encoding considerations of "application/xml" as specified in [RFC7303].
Security considerations:
N/A
Interoperability considerations:
Please note that [RFC7866] specifies the use of "application/rs-metadata", which has been replaced by "application/rs-metadata+xml" in RFC 9806.
Published specification:
[RFC7865] [RFC9806]
Applications that use this media type:
Session Recording Clients (SRCs) and Session Recording Servers (SRSs).
Fragment identifier considerations:
N/A
Additional information:
Deprecated alias names for this type:
N/A
Magic number(s):
N/A
File extension(s):
N/A
Macintosh file type code(s):
N/A
Person & email address to contact for further information:
IETF SIPCORE Working Group (sipcore@ietf.org)
Intended usage:
COMMON
Restrictions on usage:
There are no restrictions on where this media type can be used.
Author:
IETF SIPCORE Working Group (sipcore@ietf.org)
Change controller:
IETF
References
Normative References
[RFC7303]

XML Media Types
H. Thompson
C. Lilley
July 2014
RFC 7303
DOI 10.17487/RFC7303
[RFC7865]

Session Initiation Protocol (SIP) Recording Metadata
R. Ravindranath
P. Ravindran
P. Kyzivat
May 2016
RFC 7865
DOI 10.17487/RFC7865
[RFC7866]

Session Recording Protocol
L. Portman
H. Lum, Ed.
C. Eckel
A. Johnston
A. Hutton
May 2016
RFC 7866
DOI 10.17487/RFC7866
Informative References
[Err7987]

Erratum ID 7987
RFC Errata
RFC 7866
Acknowledgments
Thank you to Brian Rosen for his guidance in writing my first Internet-Draft using the new tools and for his thorough review. A sincere thank you to all of the reviewers for their valuable time, which greatly enhanced this document.
Author's Address
Dan Mongrain
Motorola Solutions
Dan.Mongrain@MotorolaSolutions.com